<?php

function createTimeRange($startTime, $endTime, $interval = '15 mins', $format = '12') {
  try {

    if(!isset($startTime) || !isset($endTime)) {
    	throw new exception("Start or End time is missing");
    }
  
    $startTime = strtotime($startTime); 
    $endTime   = strtotime($endTime);

    $currentTime   = time(); 
    $addTime   = strtotime('+'.$interval, $currentTime); 
    $timeDiff      = $addTime - $currentTime;

    $timesArr = array();
    $timeFormat = ($format == '12')?'g:i:s A':'G:i:s'; 
    while ($startTime < $endTime) { 
        $timesArr[] = date($timeFormat, $startTime); 
        $startTime += $timeDiff; 
    }  
    return $timesArr;
 } catch (Exception $e) {
   return $e->getMessage();
 }
}

?>
<!DOCTYPE html>
<html lang="en">
<head>
  <title>Create Time Range</title>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
  <style>
  body {
    font-family: Helvetica,Arial,sans-serif;
    font-size: 14px;
    line-height: 22px;
    text-align: center;
}
  </style>
</head>
<body>
<div>

<h1>Time range demo</h1>


<div style="text-align:center; margin:0 auto; width:50%">

<table>
<tr>
<td>
		<b>TimeRange-1<br/>
         Start Time: 7:15 <br/>
         End Time: 20:30<br/>
         Interval : 15min<br/>
         Format : 12</b>
		<br/>
		<select style="height:400px; width:200px;" multiple>
		<?php foreach(createTimeRange("7:15", "20:30") as $tm ) { ?>
		 <option valur="<?= $tm ?>"> <?= $tm ?></option>
		 <?php } ?>	

		</select>
		</td>

		<td>
		<b>TimeRange-2<br/>
         Start Time: 7:15 <br/>
         End Time: 20:30<br/>
         Interval : 30min<br/>
         Format : 24</b> <br/>
			<select style="height:400px; width:200px;" multiple>
		<?php foreach(createTimeRange("7:15", "20:30", "30min", 24) as $tm ) { ?>
		 <option valur="<?= $tm ?>"> <?= $tm ?></option>
		 <?php } ?>	

		</select>
		</td>
		</tr>
		</table>
</div>







</body>
</html>
